package top.continew.admin.coin.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 邀请用户金币奖励领取记录
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
@Getter
@Setter
@TableName("b_invite_rewards_fetch_record")
public class InviteRewardsFetchRecord extends Model<InviteRewardsFetchRecord> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 规则id
     */
    @TableField("rule_id")
    private String ruleId;

    /**
     * 领取人id
     */
    @TableField("user_id")
    private String userId;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
